// NameServers.h : header file
//

#if !defined(AFX_NAMESERVERS_H__A7A2E520_03A6_4F37_9C59_632BDD7DB4FE__INCLUDED_)
#define AFX_NAMESERVERS_H__A7A2E520_03A6_4F37_9C59_632BDD7DB4FE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "resource.h"
#include "engine.h"


/////////////////////////////////////////////////////////////////////////////
// CNameServersDlg dialog

class CNameServersDlg : public TDialog
{
// Construction
public:
	CNameServersDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CNameServersDlg)
	enum { IDD = IDD_NAME_SERVERS };
	CString	m_strPrimaryDNS;
	CString	m_strPrimaryWINS;
	CString	m_strSecondaryDNS;
	CString	m_strSecondaryWINS;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNameServersDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CNameServersDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnBtnChangePrimaryDns();
	afx_msg void OnBtnChangePrimaryWins();
	afx_msg void OnBtnChangeSecondaryDns();
	afx_msg void OnBtnChangeSecondaryWins();
	virtual void OnOK();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NAMESERVERS_H__A7A2E520_03A6_4F37_9C59_632BDD7DB4FE__INCLUDED_)
